import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
//import {  } from 'd3';
import { useMassGeo } from './useMassGeo';
import { useCrimeData } from './useCrimeData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const MassGeo = useMassGeo();
  const CrimeData =useCrimeData();

  if (!MassGeo||!CrimeData) {
    return <pre>Loading...</pre>;
  }

 
  return (
    <svg width={width} height={height}>
     
        <Marks
          MassGeo={MassGeo}
          CrimeData = {CrimeData}
        />
     
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
